# $Revision: 1.58 $, $Date: 2012/02/10 23:44:17 $
Summary:	Multiplayer roguelike game server
Summary(pl.UTF-8):	Serwer gry roguelike dla wielu graczy
Name:		crossfire
Version:	1.9.1
Release:	12
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/crossfire/%{name}-%{version}.tar.gz
# Source0-md5:	9444daefe1a457b4a18101c255be6cdc
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Patch0:		%{name}-ac260.patch
Patch1:		%{name}-check.patch
Patch2:		%{name}-daemon.patch
Patch3:		%{name}-python.patch
Patch4:		%{name}-am.patch
Patch5:		%{name}-libpng15.patch
URL:		http://crossfire.real-time.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	check
BuildRequires:	cproto
BuildRequires:	libtool
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
Requires(post,preun):	/sbin/chkconfig
%pyrequires_eq	python
Requires:	crossfire-maps
Requires:	rc-scripts
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib

%description
This is a multiplayer graphical arcade and adventure game made for the
X-Window environment. There are also Windows and Java clients
available.

It has certain flavours from other games, especially Gauntlet (TM) and
Nethack/Moria.

Any number of players can move around in their own window, finding and
sing items and battle monsters. They can choose to cooperate or
compete in the same "world".

%description -l pl.UTF-8
To jest graficzna gra przygodowa dla środowiska X-Window. Są także
dostępni klienci pod Windows i w Javie.

%package editor
Summary:	Crossfire map editor
Summary(pl.UTF-8):	Edytor map Crossfire
Group:		X11/Applications/Games

%description editor
Crossfire map editor.

%description editor -l pl.UTF-8
Edytor map Crossfire.

%package doc
Summary:	Crossfire game documentation
Summary(pl.UTF-8):	Dokumentacja gry Crossfire
Group:		Documentation

%description doc
Crossfire documentation for players. Includes handbook and spoiler.

%description doc -l pl.UTF-8
Dokumentacja dla graczy Crossfire. Zawiera podręcznik oraz spoiler.

%package plugin-python
Summary:	Python plugin for Crossfire server
Summary(pl.UTF-8):	Wtyczka Pythona dla serwera Crossfire
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}

%description plugin-python
Python plugin for Crossfire server.

%description plugin-python -l pl.UTF-8
Wtyczka Pythona dla serwera Crossfire.

%package plugin-anim
Summary:	Animation plugin for Crossfire server
Summary(pl.UTF-8):	Wtyczka animacji dla serwera Crossfire
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}

%description plugin-anim
Animation plugin for Crossfire server.

%description plugin-anim -l pl.UTF-8
Wtyczka animacji dla serwera Crossfire.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
touch include/autoconf.h{,.in}
%configure
install -d test/include
%{__make} -C test/toolkit proto
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/log,/etc/{sysconfig,%{name},logrotate.d},/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT%{_localstatedir}/%{name}/{tmp,maps}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/crossfire/plugins/*.a
rm $RPM_BUILD_ROOT%{_bindir}/crossloop*
rm $RPM_BUILD_ROOT%{_mandir}/*/crossloop*
rm $RPM_BUILD_ROOT%{_bindir}/player_dl.pl
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
touch $RPM_BUILD_ROOT/var/log/crossfire

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add crossfire
%service crossfire restart "Crossfire server"

%preun
if [ "$1" = "0" ]; then
	%service crossfire stop
	/sbin/chkconfig --del crossfire
fi

%files
%defattr(644,root,root,755)
%doc DEVELOPERS README TODO ChangeLog
%doc doc/{alchemy.doc,experience,metaserver,multigod,plugins}
%attr(750,root,games) %{_bindir}/crossfire
%attr(755,root,games) %{_bindir}/crossfire-config
%dir %attr(750,root,games) %{_datadir}/crossfire
%{_datadir}/crossfire/*
%{_mandir}/man?/crossfire*
%dir %attr(770,root,games) %{_localstatedir}/crossfire
%dir %attr(770,root,games) %{_localstatedir}/crossfire/players
%dir %attr(770,root,games) %{_localstatedir}/crossfire/unique-items
%dir %attr(770,root,games) %{_localstatedir}/crossfire/tmp
%dir %attr(770,root,games) %{_localstatedir}/crossfire/maps
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/crossfire/bookarch
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/crossfire/highscore
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/crossfire/temp.maps
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/crossfire/clockdata
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/crossfire/banish_file
%dir %{_sysconfdir}/crossfire
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/crossfire/*
%attr(754,root,root) /etc/rc.d/init.d/crossfire
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/crossfire
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/crossfire
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) /var/log/crossfire
%dir %{_libdir}/crossfire
%dir %{_libdir}/crossfire/plugins
%attr(755,root,root) %{_libdir}/crossfire/add_throw.perl
%attr(755,root,root) %{_libdir}/crossfire/metaserver.pl
%attr(755,root,root) %{_libdir}/crossfire/mktable.script
%attr(755,root,root) %{_libdir}/crossfire/random_map

%files editor
%defattr(644,root,root,755)
%doc crossedit/doc/*.doc
%attr(755,root,root) %{_bindir}/crossedit
%{_mandir}/man?/crossedit*

%files doc
%defattr(644,root,root,755)
%doc doc/{handbook.ps,spoiler.ps}
%doc doc/{PlayerStats,RunTimeCommands,SurvivalGuide}
%doc doc/{skills.doc,spellcasters_guide_to_runes}
%doc doc/spell-docs/{*.txt,spell-list.ps,spell-summary.ps}

%files plugin-python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/crossfire/plugins/cfpython.*

%files plugin-anim
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/crossfire/plugins/cfanim.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossfire.spec,v $
Revision 1.58  2012/02/10 23:44:17  adamg
- fix build against automake-1.11.2
- fix build against libpng-1.5
- release 12 (rebuild against libpng-1.5)

Revision 1.57  2012/02/07 21:58:56  arekm
- release 11

Revision 1.56  2012/02/05 10:50:00  baggins
- rel 10
- logrotate 3.8.0 requires "su" option for non-root writable dirs

Revision 1.55  2011/02/13 09:46:54  arekm
- rel 9; fix python detection

Revision 1.54  2010/11/23 05:48:35  arekm
- release 8

Revision 1.53  2010/07/09 11:14:10  arekm
- release 7

Revision 1.52  2010/02/06 22:08:29  sparky
- BR: check

Revision 1.51  2010/02/06 20:59:02  arekm
- release 6

Revision 1.50  2009/02/28 17:05:47  sparky
- Group: X11/Applications/Games

Revision 1.49  2008/11/07 20:52:52  arekm
- release 5

Revision 1.48  2008/10/19 13:21:28  arekm
- rel 4

Revision 1.47  2008/10/19 13:00:27  arekm
- release 3

Revision 1.46  2008/01/07 21:27:07  qboosh
- tab

Revision 1.45  2007-09-11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.44  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.43  2007/04/26 20:49:45  qboosh
- CVE references

Revision 1.42  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.41  2007/02/04 13:39:03  wiget
- fix init script

Revision 1.40  2007/02/04 13:34:47  wiget
- cleanup

Revision 1.39  2007/02/04 13:34:18  wiget
- updated to 1.9.1 [fixes CVE-2006-1236]

Revision 1.38  2006/05/01 11:54:56  zbyniu
- Group: Documentation for -doc

Revision 1.37  2006/04/23 00:48:28  glen
- add security todo

Revision 1.36  2006/04/20 18:05:25  glen
- use %service

Revision 1.35  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.34  2004/12/23 22:46:31  saq
- release 2 for rebuild with python 2.4

Revision 1.33  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.32  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.31  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.30  2004/04/28 13:08:18  qboosh
- BR: libtool, strict R in plugin

Revision 1.29  2004/04/28 12:48:34  jajcus
- Version: 1.6.0 [fixes CVE-2006-1010]
- write access for games group on /var/lib/crossfire directory - python scripts
  included in maps create files there

Revision 1.28  2003/08/14 22:23:13  ankry
- pl translations, capitals unification

Revision 1.27  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.26  2003/08/06 16:52:08  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.25  2003/07/23 22:23:57  wiget
- added missing BR
- rebuild with new python

Revision 1.24  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.23  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.22  2003/05/25 05:46:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/08 10:33:13  qboosh
- use http for sources from sourceforge

Revision 1.20  2003/03/03 18:10:47  jajcus
- Version: 1.5.0
- requires: crossfire-maps

Revision 1.19  2003/01/18 22:45:27  juandon
- removed two lines with define

Revision 1.18  2002/10/09 11:09:08  qboosh
- BR: autoconf; more specific Requires

Revision 1.17  2002/08/04 06:30:31  kloczek
- cosmetics.

Revision 1.16  2002/07/26 10:50:19  jajcus
- %defattr for doc subpackage
- include clockdata file and directory for map overlays
- don't unzip %{SOURCE1}. It is not the same file as it used to be :-)

Revision 1.15  2002/07/26 10:27:52  jajcus
- merge from DEVEL

Revision 1.14  2002/04/25 16:07:28  arturs
- fixed a small typo

Revision 1.13  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.12  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/31 21:40:14  ankry
- added Group(de/pl)

Revision 1.10  2002/01/18 02:12:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/24 11:30:36  qboosh
- Prereq: /sbin/chkconfig

Revision 1.8  2001/09/18 18:27:35  klakier
- X-Windows -> X-Window

Revision 1.7  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.5  2001/05/14 16:47:57  jajcus
- Version: 1.0.0

Revision 1.4  2001/04/17 15:33:56  jajcus
- more FHS compliant
- enable recycling of temporary maps

Revision 1.3  2001/04/17 09:07:34  jajcus
- Version: 0.98.0

Revision 1.2  2001/02/02 15:24:38  jajcus
- do not use crossloop to start server (crossloop patch not needed anymore)
- map editor separated
- logs go to file /var/log/crossfire instead of directory
- more docs
- %config and %noreplace on files in /var

Revision 1.1  2001/01/29 10:16:48  jajcus
- new spec; multiplayer roguelike game
